// ==UserScript==
// @name         TMP_TGO to branch
// @namespace    http://tampermonkey.net/
// @version      0.6
// @description  try to take over the world!
// @author       You
// @match        https://wlamanager.talabat.com/MenuItemListBranchPopup.aspx?*
// @grant        none
// ==/UserScript==

(function() {
    'use strict';
    
var table = {};
table["651013"]="TGO";
table["651012"]="TGO";
table["651415"]="TGO";
table["651026"]="TGO";
table["650239"]="TGO";
table["649941"]="TGO";
table["649940"]="TGO";
table["650016"]="TGO";
table["650569"]="TGO";
table["650972"]="TGO";
table["651515"]="TGO";
table["650089"]="TGO";
table["650587"]="TGO";
table["650170"]="TGO";
table["650566"]="TMP";
table["652154"]="TGO";
table["652220"]="TGO";
table["652813"]="TGO";
table["651531"]="TGO";
table["652959"]="TGO";
table["652815"]="TGO";
table["652738"]="TGO";
table["652809"]="TGO";
table["653135"]="TGO";
table["652237"]="TGO";
table["653234"]="TGO";
table["652727"]="TGO";
table["652838"]="TGO";
table["652848"]="TGO";
table["652756"]="TGO";
table["652768"]="TGO";
table["652762"]="TGO";
table["651528"]="TGO";
table["651851"]="TGO";
table["651852"]="TGO";
table["651850"]="TGO";
table["653656"]="TGO";
table["653674"]="TGO";
table["665241"]="TGO";
table["651461"]="TGO";
table["653757"]="TGO";
table["6522117"]="TGO";
table["652123"]="TGO";
table["652141"]="TGO";
table["653767"]="TGO";
table["653842"]="TGO";
table["653766"]="TGO";
table["653841"]="TGO";
table["654643"]="TGO";
table["653759"]="TGO";
table["651537"]="TGO";
table["654509"]="TGO";
table["651578"]="TGO";
table["653782"]="TGO";
table["653784"]="TGO";
table["653786"]="TGO";
table["666322"]="TGO";
table["653839"]="TGO";
table["654076"]="TGO";
table["653996"]="TGO";
table["654459"]="TGO";
table["653783"]="TGO";
table["653998"]="TGO";
table["653997"]="TGO";
table["654500"]="TGO";
table["654777"]="TGO";
table["654378"]="TGO";
table["654422"]="TGO";
table["654948"]="TGO";
table["654611"]="TGO";
table["650803"]="TGO";
table["650804"]="TGO";
table["650805"]="TGO";
table["650806"]="TGO";
table["650808"]="TGO";
table["650809"]="TGO";
table["650900"]="TGO";
table["650810"]="TGO";
table["650811"]="TGO";
table["650812"]="TGO";
table["650820"]="TGO";
table["650821"]="TGO";
table["650822"]="TGO";
table["650823"]="TGO";
table["650824"]="TGO";
table["650830"]="TGO";
table["650831"]="TGO";
table["650832"]="TGO";
table["650833"]="TGO";
table["650834"]="TGO";
table["652767"]="TGO";
table["652783"]="TGO";
table["652974"]="TGO";
table["653149"]="TGO";
table["654279"]="TGO";
table["654637"]="TGO";
table["654673"]="TGO";
table["654674"]="TGO";
table["655400"]="TGO";
table["655406"]="TGO";
table["655405"]="TGO";
table["654501"]="TGO";
table["654638"]="TGO";
table["654946"]="TGO";
table["654999"]="TGO";
table["655530"]="TGO";
table["627972"]="TGO";
table["3352"]="TMP";
table["655595"]="TGO";
table["655545"]="TGO";
table["655541"]="TGO";
table["656278"]="TGO";
table["656193"]="TGO";
table["42406"]="TGO";
table["656394"]="TGO";
table["656273"]="TGO";
table["658746"]="TGO";
table["658812"]="TGO";
table["657927"]="TGO";
table["657409"]="TGO";
table["657408"]="TGO";
table["657410"]="TGO";
table["657771"]="TGO";
table["657774"]="TGO";
table["657775"]="TGO";
table["657773"]="TGO";
table["657917"]="TGO";
table["657920"]="TGO";
table["657922"]="TGO";
table["657921"]="TGO";
table["657405"]="TGO";
table["657402"]="TGO";
table["658066"]="TGO";
table["658036"]="TGO";
table["658023"]="TGO";
table["658034"]="TGO";
table["658022"]="TGO";
table["657257"]="TGO";
table["658676"]="TGO";
table["659241"]="TGO";
table["659187"]="TGO";
table["659169"]="TGO";
table["659242"]="TGO";
table["30281"]="TGO";
table["30280"]="TGO";
table["660540"]="TGO";
table["660537"]="TGO";
table["660499"]="TGO";
table["660539"]="TGO";
table["660538"]="TGO";
table["616377"]="TGO";
table["661128"]="TGO";
table["661140"]="TGO";
table["661126"]="TGO";
table["660541"]="TGO";
table["660535"]="TGO";
table["660674"]="TGO";
table["660739"]="TGO";
table["664058"]="TGO";
table["662632"]="TGO";
table["662848"]="TGO";
table["662631"]="TGO";
table["662615"]="TGO";
table["662909"]="TGO";
table["663312"]="TGO";
table["662938"]="TGO";
table["663353"]="TGO";
table["663352"]="TGO";
table["663351"]="TGO";
table["663371"]="TGO";
table["663415"]="TGO";
table["663348"]="TGO";
table["663370"]="TGO";
table["662364"]="TGO";
table["662660"]="TGO";
table["662366"]="TMP";
table["32104"]="TGO";
table["47590"]="TMP";
table["665362"]="TGO";
table["664810"]="TGO";
table["665252"]="TGO";
table["665247"]="TGO";
table["665250"]="TGO";
table["665255"]="TGO";
table["665251"]="TGO";
table["665357"]="TGO";
table["665540"]="TGO";
table["665518"]="TGO";
table["666313"]="TGO";
table["665694"]="TGO";
table["665498"]="TGO";
table["665686"]="TGO";
table["665689"]="TGO";
table["665519"]="TGO";
table["665692"]="TGO";
table["665691"]="TGO";
table["665690"]="TGO";
table["665693"]="TGO";
table["665497"]="TGO";
table["665232"]="TGO";
table["665226"]="TGO";
table["665952"]="TGO";
table["666701"]="TGO";
table["666312"]="TGO";
table["666575"]="TGO";
table["666577"]="TGO";
table["666576"]="TGO";
table["666794"]="TGO";
table["667127"]="TGO";
table["667519"]="TGO";
table["666722"]="TGO";
table["667321"]="TGO";
table["667322"]="TGO";
table["43798"]="TGO";
table["1758"]="TMP";
table["44168"]="TGO";
table["4368"]="TMP";
table["607244"]="TGO";
table["5735"]="TMP";
table["50447"]="TGO";
table["6559"]="TMP";
table["600897"]="TGO";
table["12948"]="TMP";
table["607246"]="TGO";
table["2085"]="TMP";
table["44126"]="TGO";
table["683"]="TMP";
table["31801"]="TGO";
table["2086"]="TMP";
table["50445"]="TGO";
table["1472"]="TMP";
table["32132"]="TGO";
table["32536"]="TMP";
table["657113"]="TGO";
table["51725"]="TGO";
table["1959"]="TMP";
table["602545"]="TGO";
table["605549"]="TMP";
table["44166"]="TGO";
table["33363"]="TMP";
table["667594"]="TGO";
table["667596"]="TGO";
table["667595"]="TGO";
table["666722"]="TGO";
table["672004"]="TGO";
table["666106"]="TGO";
table["629682"]="TGO";
table["2618"]="TGO";
table["2628"]="TGO";
table["2994"]="TGO";
table["2626"]="TGO";
table["54197"]="TGO";
table["41847"]="TGO";
table["41848"]="TGO";
table["41850"]="TGO";
table["41846"]="TGO";
table["645809"]="TGO";
table["669094"]="TGO";
table["668386"]="TGO";
table["675506"]="TGO";
table["669409"]="TGO";
table["669461"]="TGO";
table["669408"]="TGO";
table["669405"]="TGO";
table["669403"]="TGO";
table["669402"]="TGO";
table["669621"]="TGO";
table["669605"]="TGO";
table["669606"]="TGO";
table["669618"]="TGO";
table["669619"]="TGO";
table["670180"]="TGO";
table["671198"]="TGO";
table["671202"]="TGO";
table["670058"]="TGO";
table["671204"]="TGO";
table["671206"]="TGO";
table["671368"]="TGO";
table["671207"]="TGO";
table["671344"]="TGO";
table["671208"]="TGO";
table["671205"]="TGO";
table["671346"]="TGO";
table["671209"]="TGO";
table["671211"]="TGO";
table["671214"]="TGO";
table["671215"]="TGO";
table["671363"]="TGO";
table["623764"]="TGO";
table["11318"]="TMP";
table["623768"]="TGO";
table["13829"]="TMP";
table["623767"]="TGO";
table["13832"]="TMP";
table["623766"]="TGO";
table["13833"]="TMP";
table["649347"]="TGO";
table["650286"]="TGO";
table["671200"]="TGO";
table["671203"]="TGO";
table["47670"]="TGO";
table["47672"]="TGO";
table["47671"]="TGO";
table["47280"]="TGO";
table["651126"]="TGO";
table["656039"]="TGO";
table["674538"]="TGO";
table["672727"]="TGO";
table["672718"]="TGO";
table["672726"]="TGO";
table["673252"]="TGO";
table["673251"]="TGO";
table["673867"]="TGO";
table["638299"]="TGO";
table["638298"]="TGO";
table["638300"]="TGO";
table["27498"]="TGO";
table["13312"]="TMP";
table["603262"]="TGO";
table["604813"]="TMP";
table["39353"]="TGO";
table["35677"]="TMP";
table["27501"]="TGO";
table["2032"]="TMP";
table["27502"]="TGO";
table["1717"]="TMP";
table["27496"]="TGO";
table["8612"]="TMP";
table["27499"]="TGO";
table["8610"]="TMP";
table["27503"]="TGO";
table["8611"]="TMP";
table["27505"]="TGO";
table["1670"]="TMP";
table["27495"]="TGO";
table["13296"]="TMP";
table["33765"]="TGO";
table["32799"]="TMP";
table["42893"]="TGO";
table["42788"]="TMP";
table["612467"]="TGO";
table["634786"]="TGO";
table["643775"]="TGO";
table["27497"]="TGO";
table["13295"]="TMP";
table["674540"]="TGO";
table["674652"]="TGO";
table["675757"]="TGO";
table["675667"]="TGO";
table["675125"]="TGO";
table["675158"]="TGO";
table["675200"]="TGO";
table["675759"]="TGO";
table["675753"]="TGO";
table["675745"]="TGO";
table["675762"]="TGO";
table["676346"]="TGO";
table["676035"]="TGO";
table["604302"]="TGO";
table["600314"]="TGO";
table["606075"]="TGO";
table["600316"]="TGO";
table["600403"]="TGO";
table["600317"]="TGO";
table["604305"]="TGO";
table["16796"]="TGO";
table["604301"]="TGO";
table["16797"]="TGO";
table["600315"]="TGO";
table["604304"]="TGO";
table["30135"]="TGO";
table["606074"]="TGO";
table["30134"]="TGO";
table["600404"]="TGO";
table["600405"]="TGO";
table["604303"]="TGO";
table["604306"]="TGO";
table["30132"]="TGO";
table["30138"]="TGO";
table["604905"]="TGO";
table["604904"]="TGO";
table["604914"]="TGO";
table["16792"]="TGO";
table["16793"]="TGO";
table["642350"]="TGO";
table["651084"]="TGO";
table["643127"]="TGO";
table["611337"]="TGO";
table["611336"]="TGO";
table["676269"]="TGO";
table["676396"]="TGO";
table["676907"]="TGO";
table["676337"]="TGO";
table["49509"]="TMP";
table["44197"]="TGO";
table["47572"]="TMP";
table["46878"]="TGO";
table["601024"]="TMP";
table["46862"]="TGO";
table["600992"]="TMP";
table["46863"]="TGO";
table["49315"]="TGO";
table["600996"]="TMP";
table["601022"]="TMP";
table["49308"]="TGO";
table["601019"]="TMP";
table["46866"]="TGO";
table["601020"]="TMP";
table["49328"]="TGO";
table["600990"]="TMP";
table["50881"]="TGO";
table["51262"]="TGO";
table["601018"]="TMP";
table["603563"]="TGO";
table["601061"]="TMP";
table["602428"]="TMP";
table["602426"]="TGO";
table["601021"]="TMP";
table["49309"]="TGO";
table["47783"]="TMP";
table["49978"]="TMP";
table["29851"]="TGO";
table["30390"]="TGO";
table["37797"]="TMP";
table["47374"]="TMP";
table["32094"]="TGO";
table["47376"]="TMP";
table["28305"]="TGO";
table["47375"]="TMP";
table["30367"]="TGO";
table["27240"]="TMP";
table["32723"]="TGO";
table["37774"]="TMP";
table["28969"]="TGO";
table["37978"]="TMP";
table["28971"]="TGO";
table["37977"]="TMP";
table["28968"]="TGO";
table["32096"]="TGO";
table["47589"]="TMP";
table["28970"]="TGO";
table["47565"]="TMP";
table["28493"]="TGO";
table["49841"]="TMP";
table["29809"]="TGO";
table["36148"]="TMP";
table["22606"]="TGO";
table["22632"]="TGO";
table["42046"]="TMP";
table["23598"]="TGO";
table["47777"]="TMP";
table["32106"]="TGO";
table["47596"]="TMP";
table["24435"]="TGO";
table["47583"]="TMP";
table["36253"]="TGO";
table["36175"]="TMP";
table["36176"]="TGO";
table["42077"]="TMP";
table["36242"]="TGO";
table["47769"]="TMP";
table["47571"]="TMP";
table["33925"]="TGO";
table["28483"]="TGO";
table["29882"]="TGO";
table["37802"]="TMP";
table["22602"]="TGO";
table["42222"]="TMP";
table["22634"]="TGO";
table["42100"]="TMP";
table["23599"]="TGO";
table["47760"]="TMP";
table["32101"]="TGO";
table["47599"]="TMP";
table["24443"]="TGO";
table["47584"]="TMP";
table["44469"]="TGO";
table["49848"]="TMP";
table["44468"]="TGO";
table["48457"]="TMP";
table["43488"]="TGO";
table["43487"]="TGO";
table["49975"]="TMP";
table["44470"]="TGO";
table["47782"]="TMP";
table["44467"]="TGO";
table["47592"]="TMP";
table["43767"]="TGO";
table["47576"]="TMP";
table["31294"]="TGO";
table["36077"]="TGO";
table["32740"]="TMP";
table["34467"]="TGO";
table["34468"]="TMP";
table["35176"]="TGO";
table["35175"]="TMP";
table["32098"]="TGO";
table["39443"]="TMP";
table["30248"]="TGO";
table["47587"]="TMP";
table["22605"]="TMP";
table["28129"]="TMP";
table["37803"]="TGO";
table["42229"]="TGO";
table["23590"]="TMP";
table["32105"]="TGO";
table["42045"]="TGO";
table["60025"]="TGO";
table["47600"]="TMP";
table["22636"]="TMP";
table["29811"]="TMP";
table["49639"]="TMP";
table["30948"]="TGO";
table["36210"]="TGO";
table["32739"]="TGO";
table["42095"]="TMP";
table["47774"]="TMP";
table["39341"]="TGO";
table["39445"]="TMP";
table["50189"]="TMP";
table["49846"]="TMP";
table["38283"]="TGO";
table["38282"]="TGO";
table["48456"]="TMP";
table["47582"]="TMP";
table["38285"]="TGO";
table["39340"]="TGO";
table["39342"]="TGO";
table["37853"]="TGO";
table["47593"]="TMP";
table["49972"]="TMP";
table["47577"]="TMP";
table["26531"]="TMP";
table["47766"]="TMP";
table["37709"]="TGO";
table["27466"]="TGO";
table["46090"]="TGO";
table["38200"]="TGO";
table["50578"]="TGO";
table["50579"]="TMP";
table["22635"]="TGO";
table["22603"]="TGO";
table["24442"]="TGO";
table["23600"]="TGO";
table["49839"]="TMP";
table["42048"]="TMP";
table["47759"]="TMP";
table["47588"]="TMP";
table["45756"]="TGO";
table["38205"]="TGO";
table["50176"]="TMP";
table["37711"]="TGO";
table["47778"]="TMP";
table["49845"]="TMP";
table["38203"]="TGO";
table["24031"]="TMP";
table["29810"]="TMP";
table["29854"]="TGO";
table["29814"]="TMP";
table["22630"]="TGO";
table["50181"]="TMP";
table["23597"]="TGO";
table["32078"]="TGO";
table["47779"]="TMP";
table["24467"]="TGO";
table["47580"]="TMP";
table["18782"]="TMP";
table["48452"]="TMP";
table["29883"]="TGO";
table["22608"]="TGO";
table["49840"]="TMP";
table["47595"]="TMP";
table["28845"]="TGO";
table["42047"]="TMP";
table["47768"]="TMP";
table["49479"]="TMP";
table["34165"]="TGO";
table["38611"]="TGO";
table["36448"]="TGO";
table["36449"]="TGO";
table["22617"]="TGO";
table["22616"]="TGO";
table["22615"]="TGO";
table["50166"]="TMP";
table["47776"]="TMP";
table["47579"]="TMP";
table["22613"]="TMP";
table["47586"]="TMP";
table["46172"]="TGO";
table["46177"]="TGO";
table["50193"]="TMP";
table["47757"]="TMP";
table["46176"]="TGO";
table["49512"]="TMP";
table["46175"]="TGO";
table["46174"]="TGO";
table["46178"]="TGO";
table["48459"]="TMP";
table["47575"]="TMP";
table["46173"]="TGO";
table["48039"]="TMP";
table["49482"]="TMP";
table["38288"]="TGO";
table["32877"]="TGO";
table["42096"]="TMP";
table["36035"]="TGO";
table["44623"]="TGO";
table["26809"]="TMP";
table["44625"]="TGO";
table["47780"]="TMP";
table["46197"]="TGO";
table["26810"]="TMP";
table["44621"]="TGO";
table["29011"]="TMP";
table["44624"]="TGO";
table["28010"]="TMP";
table["44620"]="TGO";
table["47594"]="TMP";
table["44619"]="TGO";
table["29853"]="TMP";
table["50180"]="TMP";
table["43781"]="TGO";
table["47229"]="TMP";
table["47756"]="TMP";
table["47228"]="TGO";
table["44638"]="TGO";
table["53906"]="TGO";
table["53908"]="TMP";
table["47190"]="TGO";
table["49099"]="TGO";
table["28125"]="TGO";
table["32104"]="TGO";
table["30368"]="TGO";
table["29860"]="TGO";
table["47568"]="TMP";
table["30348"]="TGO";
table["30212"]="TMP";
table["47573"]="TMP";
table["50587"]="TMP";
table["49857"]="TGO";
table["50586"]="TMP";
table["50597"]="TMP";
table["49859"]="TGO";
table["49856"]="TGO";
table["49858"]="TGO";
table["50596"]="TMP";
table["37710"]="TGO";
table["50186"]="TMP";
table["38206"]="TMP";
table["37716"]="TGO";
table["49973"]="TMP";
table["26471"]="TMP";
table["47569"]="TMP";
table["27471"]="TGO";
table["29129"]="TGO";
table["29130"]="TGO";
table["29128"]="TGO";
table["47772"]="TMP";
table["29481"]="TGO";
table["49843"]="TMP";
table["47755"]="TMP";
table["41020"]="TGO";
table["22611"]="TMP";
table["22609"]="TMP";
table["22610"]="TMP";
table["22610"]="TMP";
table["46862"]="TGO";
table["46862"]="TGO";
table["46861"]="TGO";
table["46875"]="TGO";
table["46868"]="TGO";
table["46870"]="TGO";
table["49190"]="TGO";
table["50662"]="TGO";
table["50660"]="TGO";
table["50664"]="TGO";
table["50663"]="TGO";
table["50661"]="TGO";
table["50665"]="TGO";
table["45494"]="TGO";
table["45506"]="TGO";
table["45495"]="TGO";
table["48504"]="TGO";
table["50880"]="TGO";
table["38661"]="TGO";
table["38634"]="TGO";
table["46092"]="TGO";
table["47212"]="TGO";
table["30964"]="TGO";
table["44549"]="TGO";
table["25150"]="TGO";
table["25149"]="TGO";
table["43552"]="TGO";
table["44374"]="TGO";
table["28126"]="TGO";
table["54036"]="TGO";
table["54037"]="TGO";
table["54038"]="TGO";
table["54048"]="TGO";
table["60045"]="TGO";
table["60046"]="TGO";
table["60045"]="TGO";
table["60070"]="TGO";
table["60069"]="TGO";
table["60068"]="TGO";
table["54050"]="TGO";
table["54052"]="TGO";
table["54051"]="TGO";
table["52574"]="TGO";
table["52311"]="TGO";
table["52575"]="TGO";
table["60068"]="TGO";
table["60069"]="TGO";
table["60105"]="TGO";
table["60105"]="TGO";
table["60105"]="TGO";
table["60104"]="TGO";
table["60105"]="TGO";
table["60105"]="TGO";
table["60104"]="TGO";
table["60105"]="TGO";
table["60106"]="TGO";
table["60105"]="TGO";
table["60105"]="TGO";
table["53764"]="TGO";
table["49317"]="TGO";
table["49318"]="TGO";
table["60022"]="TGO";
table["51542"]="TGO";
table["60102"]="TMP";
table["60099"]="TMP";
table["60102"]="TMP";
table["60101"]="TMP";
table["60102"]="TMP";
table["60099"]="TMP";
table["60102"]="TMP";
table["46874"]="TMP";
table["60102"]="TMP";
table["46203"]="TGO";
table["60068"]="TMP";
table["22600"]="TMP";
table["49103"]="TGO";
table["52133"]="TGO";
table["60240"]="TGO";
table["46200"]="TMP";

    var form = document.getElementsByName("form1");
    var table2 = document.getElementsByTagName("table")[0];
    $(table2).each(function(){
        let i = 0;
        let prevtd;
        $(this).find('td').each(function(){
            i = i + 1;
            if(i == 3)
            {
                let splitted = this.id.split("_");
                if(typeof table[splitted[2]] != "undefined")
                    $(prevtd).append(" - " + table[splitted[2]]);
            }


            if(i == 4)
                i = 0;
            prevtd = this;

    })

})
})();
